Wt: Wt::SignalBase Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::SignalBase Class Referenceabstract
Signal/slot system

Abstract base class of a signal. More...

`#include <WSignal.h>`

Inheritance diagram for Wt::SignalBase:
[legend]

## Public Member Functions
virtual bool | isConnected () const =0
| Returns whether this signal is connected.
virtual Wt::Signals::connection | connect (WObject *target, WObject::Method method)=0
| Connects to a slot.
template<class T , class V >
Wt::Signals::connection | connect (T *target, void(V::*method)())
| Connects to a slot.

## Detailed Description

Abstract base class of a signal.

Base class for all signals.

## Member Function Documentation

## ◆ connect() [1/2]

template<class T , class V >

Wt::Signals::connection Wt::SignalBase::connect | ( | T * | target,
|  | void(V::* | method )() )

Connects to a slot.

Every signal can be connected to a slot which does not take any arguments (and may thus ignore signal arguments).

## ◆ connect() [2/2]

virtual Wt::Signals::connection Wt::SignalBase::connect | ( | WObject * | target,
|  | WObject::Method | method )
| pure virtual

Connects to a slot.

Every signal can be connected to a slot which does not take any arguments (and may thus ignore signal arguments).

Implemented in Wt::EventSignal< E >, Wt::EventSignalBase, Wt::Signal< A >, Wt::Signal< ::int64_t >, Wt::Signal< ::uint64_t >, Wt::Signal< ::uint64_t, ::uint64_t >, Wt::Signal< bool >, Wt::Signal< const Wt::Chart::WDataSeries *, Wt::WPointF >, Wt::Signal< DialogCode >, Wt::Signal< double >, Wt::Signal< double, double >, Wt::Signal< int >, Wt::Signal< int, int >, Wt::Signal< int, Wt::WFormWidget * >, Wt::Signal< int, Wt::WLength >, Wt::Signal< int, Wt::WMouseEvent >, Wt::Signal< int64_t, int64_t >, Wt::Signal< Orientation, int, int >, Wt::Signal< StandardButton >, Wt::Signal< std::string >, Wt::Signal< std::vector< Wt::WFileDropWidget::File * > >, Wt::Signal< std::vector< Wt::WModelIndex >, Wt::WTouchEvent >, Wt::Signal< Wt::AsioWrapper::error_code, Wt::Http::Message >, Wt::Signal< Wt::Auth::Identity >, Wt::Signal< Wt::Auth::OAuthAccessToken >, Wt::Signal< Wt::Auth::OAuthProcess *, Wt::Auth::Identity >, Wt::Signal< Wt::Auth::Saml::Process *, Wt::Auth::Identity >, Wt::Signal< Wt::Http::Message >, Wt::Signal< Wt::WDate >, Wt::Signal< Wt::WDialog * >, Wt::Signal< Wt::WFileDropWidget::File * >, Wt::Signal< Wt::WFileDropWidget::File *, ::uint64_t >, Wt::Signal< Wt::WMenuItem * >, Wt::Signal< Wt::WModelIndex >, Wt::Signal< Wt::WModelIndex, int, int >, Wt::Signal< Wt::WModelIndex, Wt::WModelIndex >, Wt::Signal< Wt::WModelIndex, Wt::WMouseEvent >, Wt::Signal< Wt::WModelIndex, Wt::WTouchEvent >, Wt::Signal< Wt::WPopupMenu * >, Wt::Signal< Wt::WRadioButton * >, Wt::Signal< Wt::WStandardItem * >, Wt::Signal< Wt::WString >, Wt::Signal< Wt::WValidator::Result >, and Wt::Signal< Wt::WWidget *, bool >.

## ◆ isConnected()

virtual bool Wt::SignalBase::isConnected | ( |  | ) | const
| pure virtual

Returns whether this signal is connected.

Returns true when the signal was connected to to at least one slot.

Implemented in Wt::EventSignal< E >, Wt::EventSignalBase, Wt::JSignal< A >, Wt::JSignal< ::int64_t >, Wt::JSignal< ::uint64_t >, Wt::JSignal< A... >, Wt::JSignal< bool >, Wt::JSignal< double >, Wt::JSignal< double, double >, Wt::JSignal< int >, Wt::JSignal< int, int >, Wt::JSignal< int, int, int, int >, Wt::JSignal< int, int, std::string, std::string, std::string, Wt::WMouseEvent >, Wt::JSignal< int, int, std::string, std::string, Wt::WMouseEvent >, Wt::JSignal< std::string >, Wt::JSignal< std::string, std::string >, Wt::JSignal< std::string, std::string, std::string, std::string, Wt::WMouseEvent >, Wt::JSignal< std::string, std::string, Wt::WMouseEvent >, Wt::JSignal< std::string, std::string, Wt::WTouchEvent >, Wt::JSignal< Wt::WGoogleMap::Coordinate >, Wt::JSignal< Wt::WTouchEvent >, Wt::JSignal<>, Wt::Signal< A >, Wt::Signal< ::int64_t >, Wt::Signal< ::uint64_t >, Wt::Signal< ::uint64_t, ::uint64_t >, Wt::Signal< bool >, Wt::Signal< const Wt::Chart::WDataSeries *, Wt::WPointF >, Wt::Signal< DialogCode >, Wt::Signal< double >, Wt::Signal< double, double >, Wt::Signal< int >, Wt::Signal< int, int >, Wt::Signal< int, Wt::WFormWidget * >, Wt::Signal< int, Wt::WLength >, Wt::Signal< int, Wt::WMouseEvent >, Wt::Signal< int64_t, int64_t >, Wt::Signal< Orientation, int, int >, Wt::Signal< StandardButton >, Wt::Signal< std::string >, Wt::Signal< std::vector< Wt::WFileDropWidget::File * > >, Wt::Signal< std::vector< Wt::WModelIndex >, Wt::WTouchEvent >, Wt::Signal< Wt::AsioWrapper::error_code, Wt::Http::Message >, Wt::Signal< Wt::Auth::Identity >, Wt::Signal< Wt::Auth::OAuthAccessToken >, Wt::Signal< Wt::Auth::OAuthProcess *, Wt::Auth::Identity >, Wt::Signal< Wt::Auth::Saml::Process *, Wt::Auth::Identity >, Wt::Signal< Wt::Http::Message >, Wt::Signal< Wt::WDate >, Wt::Signal< Wt::WDialog * >, Wt::Signal< Wt::WFileDropWidget::File * >, Wt::Signal< Wt::WFileDropWidget::File *, ::uint64_t >, Wt::Signal< Wt::WMenuItem * >, Wt::Signal< Wt::WModelIndex >, Wt::Signal< Wt::WModelIndex, int, int >, Wt::Signal< Wt::WModelIndex, Wt::WModelIndex >, Wt::Signal< Wt::WModelIndex, Wt::WMouseEvent >, Wt::Signal< Wt::WModelIndex, Wt::WTouchEvent >, Wt::Signal< Wt::WPopupMenu * >, Wt::Signal< Wt::WRadioButton * >, Wt::Signal< Wt::WStandardItem * >, Wt::Signal< Wt::WString >, Wt::Signal< Wt::WValidator::Result >, and Wt::Signal< Wt::WWidget *, bool >.